#pragma once
#include "Entity.h"
#define MENUTEXTJOYSTICK1NAME_CREATENAME L"menutext_joystick1name"
class MenuTextJoystick1Name :
    public Entity
{
public:
    void Step() override;
private:
    std::vector<wchar_t> name;
};

std::shared_ptr<Entity> CreateMenuTextJoystick1Name();